﻿using ClientsContracts.BindingModels;
using ClientsContracts.ViewModels;

namespace ClientsContracts.StorageContracts
{
	public interface IStatusStorage
	{
		List<StatusViewModel> GetFullList();
		List<StatusViewModel> GetFilteredList(StatusBindingModel model);
		StatusViewModel GetElement(StatusBindingModel model);

		void Insert(StatusBindingModel model);
		void Update(StatusBindingModel model);
		void Delete(StatusBindingModel model);
	}
}
